[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'heaptrc' (#rtl)

# HaltOnNotReleased

Halt on exit if any memory was not freed

## Declaration

Source position: heaptrc.pp line 67

`const HaltOnNotReleased: Boolean = False;`

## Description

HaltOnNotReleased can be set to True to make the DumpHeap procedure halt (exit code 203) the program if any memory was not released when the dump is made. If it is False (the default) then DumpHeap just returns.

## See also

DumpHeap |  | Dump memory usage report to stderr.

Documentation generated on: Feb 26 2014